"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.x25519AlgorithmIdentifier = exports.ed25519AlgorithmIdentifier = exports.ecdsaWithSha256AndP384AlgorithmIdentifier = exports.ecdsaWithSha256AndK256AlgorithmIdentifier = exports.ecdsaWithSha256AndP256AlgorithmIdentifier = void 0;
const asn1_ecc_1 = require("@peculiar/asn1-ecc");
const asn1_schema_1 = require("@peculiar/asn1-schema");
const asn1_x509_1 = require("@peculiar/asn1-x509");
/**
 *
 * https://oid-rep.orange-labs.fr/get/1.2.840.10045.3.1.7
 *
 */
class P256AlgorithmIdentifierParameters {
    constructor() {
        this.parameters = '1.2.840.10045.3.1.7';
    }
}
__decorate([
    (0, asn1_schema_1.AsnProp)({ type: asn1_schema_1.AsnPropTypes.ObjectIdentifier }),
    __metadata("design:type", String)
], P256AlgorithmIdentifierParameters.prototype, "parameters", void 0);
/**
 *
 * https://oid-rep.orange-labs.fr/get/1.3.132.0.34
 *
 */
class P384AlgorithmIdentifierParameters {
    constructor() {
        this.parameters = '1.3.132.0.34';
    }
}
__decorate([
    (0, asn1_schema_1.AsnProp)({ type: asn1_schema_1.AsnPropTypes.ObjectIdentifier }),
    __metadata("design:type", String)
], P384AlgorithmIdentifierParameters.prototype, "parameters", void 0);
/**
 *
 * https://oid-rep.orange-labs.fr/get/1.3.132.0.10
 *
 */
class K256AlgorithmIdentifierParameters {
    constructor() {
        this.parameters = '1.3.132.0.10';
    }
}
__decorate([
    (0, asn1_schema_1.AsnProp)({ type: asn1_schema_1.AsnPropTypes.ObjectIdentifier }),
    __metadata("design:type", String)
], K256AlgorithmIdentifierParameters.prototype, "parameters", void 0);
exports.ecdsaWithSha256AndP256AlgorithmIdentifier = new asn1_x509_1.AlgorithmIdentifier({
    algorithm: asn1_ecc_1.ecdsaWithSHA256.algorithm,
    parameters: asn1_schema_1.AsnSerializer.serialize(new P256AlgorithmIdentifierParameters()),
});
exports.ecdsaWithSha256AndK256AlgorithmIdentifier = new asn1_x509_1.AlgorithmIdentifier({
    algorithm: asn1_ecc_1.ecdsaWithSHA256.algorithm,
    parameters: asn1_schema_1.AsnSerializer.serialize(new K256AlgorithmIdentifierParameters()),
});
exports.ecdsaWithSha256AndP384AlgorithmIdentifier = new asn1_x509_1.AlgorithmIdentifier({
    algorithm: asn1_ecc_1.ecdsaWithSHA256.algorithm,
    parameters: asn1_schema_1.AsnSerializer.serialize(new P384AlgorithmIdentifierParameters()),
});
/**
 *
 * from: https://datatracker.ietf.org/doc/html/rfc8410#section-3
 *
 */
exports.ed25519AlgorithmIdentifier = new asn1_x509_1.AlgorithmIdentifier({ algorithm: '1.3.101.112' });
/**
 *
 * from: https://datatracker.ietf.org/doc/html/rfc8410#section-3
 *
 */
exports.x25519AlgorithmIdentifier = new asn1_x509_1.AlgorithmIdentifier({ algorithm: '1.3.101.110' });
//# sourceMappingURL=algorithmIdentifiers.js.map